package com.example.reproductordelistasmultimedia;

import android.app.Activity;
import android.net.Uri;
import android.os.Bundle;
import android.widget.MediaController;
import android.widget.VideoView;

public class Videoplayer_local extends Activity {

    //Declaración de variables
    private VideoView reproductor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_videoplayer);
        reproductor =(VideoView)findViewById(R.id.video);
        //Para reproducir archivos en streaming, como vídeos de Youtube:
        //https://www.youtube.com/watch?v=iF1aSnV2U7M
        //reproductor.setVideoURI(Uri.parse("http://m.youtube.com/add_favorite?v=iF1aSnV2U7M"));
        //Formatos mp4 y 3gp
        //"http://techslides.com/demos/sample-videos/small.mp4"
        //reproductor.setVideoURI(Uri.parse("http://personales.gan.upv.es/~jtomas/video.3gp"));
        //Para reproducir archivos almacenados en la memoria SDCard:
        //reproductor.setVideoPath("/mnt/sdcard/Ejemplo.mp4");
        reproductor.setVideoURI(Uri.parse(ListaVideosLocal.setEnlaceLocal()));
        reproductor.setMediaController(new MediaController(this));
        reproductor.start();
        reproductor.requestFocus();
    }

}
